Is there a library compatible with c# 2.0 for windows mobile 2005 ?

Mar 20, 2010 at 4:51 PM

Hi,

Is there a library compatible with c# 2.0 for windows 2005 mobile ?

Thank's for your good work.

Mar 21, 2010 at 11:16 AM
Edited Mar 21, 2010 at 1:15 PM

While there is no official support for .Net CF 2.0 it is really easy to do it yourself. Here is the recipe:

1. Create a new empty project targeting CF 2.0 and include all source files from Json.Net

2. Add the conditional compilation symbol NET20

3. You also need LinqBridge. Visit the project site of LinqBridge at code.google.com and include: LinqBridge-1.1.cs (LINQBridge 1.1 single file source for embedding) into the new project.

That should be pretty all.

Regards, Gunter